<?php

namespace Database\Seeders;

use stdClass;
use App\Models\Meta;
use Illuminate\Database\Seeder;

class MetaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $metas = new stdClass;
        $metas->email_ids_created = 0;
        $metas->messages_received = 0;
        foreach ($metas as $key => $meta) {
            if (! Meta::query()->where('key', $key)->exists()) {
                Meta::query()->create([
                    'key' => $key,
                    'value' => $meta,
                ]);
            }
        }
    }
}
